# abstract JoystickHatPosition(Int)

#### package lime.ui

#### from UInt, Int to UInt, Int

Available on all platforms

### Constructor

###

`new (value:Int)`

### Variables

###

`center:Bool`

###

`down:Bool`

###

`left:Bool`

###

`right:Bool`

###

`up:Bool`

### Static variables

###

`staticinline read onlyCENTER:JoystickHatPosition = 0x00`

###

`staticinline read onlyDOWN:JoystickHatPosition = 0x04`

###

`staticinline read onlyDOWN_LEFT:JoystickHatPosition = (0x04 | 0x08)`

###

`staticinline read onlyDOWN_RIGHT:JoystickHatPosition = (0x04 | 0x02)`

###

`staticinline read onlyLEFT:JoystickHatPosition = 0x08`

###

`staticinline read onlyRIGHT:JoystickHatPosition = 0x02`

###

`staticinline read onlyUP:JoystickHatPosition = 0x01`

###

`staticinline read onlyUP_LEFT:JoystickHatPosition = (0x01 | 0x08)`

###

`staticinline read onlyUP_RIGHT:JoystickHatPosition = (0x01 | 0x02)`